VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsFOTAMatrix2x2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private m_nElements(0 To 1, 0 To 1) As Double

Public Property Get nElements(nX As Long, nY As Long) As Double
    nElements = m_nElements(nX, nY)
End Property
Public Property Let nElements(nX As Long, nY As Long, nNewVal As Double)
    m_nElements(nX, nY) = nNewVal
End Property
Public Sub Rotate(nRadians As Double)
    Dim nCosAngle As Double
    Dim nSinAngle As Double
    nCosAngle = Cos(nRadians)
    nSinAngle = sIn(nRadians)

    nElements(0, 0) = nCosAngle
    nElements(0, 1) = -nSinAngle
    nElements(1, 0) = nSinAngle
    nElements(1, 1) = nCosAngle
End Sub
Private Sub Class_Initialize()
    nElements(0, 0) = 0
    nElements(0, 1) = 0
    nElements(1, 0) = 0
    nElements(1, 1) = 0
End Sub
